The Postal Regulatory Commission has approved the United States Postal Service’s (USPS) proposed postage rate adjustments, which will take effect on July 12, 2026. In line with these changes, our per-mailpiece pricing will be updated accordingly. Updated Pricing

Use Cases
Log In

Retrieve template

GET /v2/templates/{id}

Retrieves a template by ID.

Path Parameters

id
string
Required
Template ID or UID.
curl -X GET https://www.realmailers.com/v2/templates/1 \
  -H 'Authorization: Bearer YOUR_API_KEY USER_EMAIL'
{
  photo_aspect_ratios: Array(Number)
  company_logo_aspect_ratio: Number
  agent_photo_aspect_ratio: Number
  aspect_ratio: Number

  first_class_price: Number
  standard_price: Number

  is_default: Boolean
  is_design: Boolean

  description: String
  preview_image: URL
  position: Number
  height: Number
  width: Number
  size: String
  name: String

  uid: String
  id: Number
}